Page MenuHomePhabricator

Score: Colors names (e.g. #red) are not recognized
Closed, ResolvedPublic

Description

Author: jeanluc.thiebaut

Description:

<score>
\version "2.14"
{
  \override NoteHead #'color = #red
g'4
}
</score>
<score>
{
\override NoteHead #'color = #'(1 0 0) %red
g'4
}
</score>

Version: unspecified
Severity: normal
OS: Linux
Platform: PC

Details

Reference
bz58526
Related Gerrit Patches:

Revisions and Commits

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:25 AM
bzimport set Reference to bz58526.
bzimport added a subscriber: Unknown Object (MLST).

jeanluc.thiebaut wrote:

Sorry unexpected return save it before ending...

I've tried this with fhe EN and FR wikisource sandbox,
OS Linux ; Firefox 24

In the first sequence, "#red" is unknown
error reported :
.../file.ly:14:32: error: GUILE signaled an error for the expression beginning here

\override NoteHead #'color = #
                              red

Interpreting music...
warning: type check for color' failed; value #<unspecified>' must be of type `color'

It can be circumvented via the second sequence
( \override NoteHead #'color = #'(1 0 0) )

This is valid for any color.

This is upstream issue (Color names should be enabled in safe mode but aren't)

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:11 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:11 PM
Reedy updated the task description. (Show Details)Aug 5 2017, 1:37 AM
Reedy updated the task description. (Show Details)
Ebe123 claimed this task.Aug 5 2017, 4:29 AM

Change 370306 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Run lilypond from inside firejail

https://gerrit.wikimedia.org/r/370306

Change 370306 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Add option to use -dsafe argument in Lilypond command

https://gerrit.wikimedia.org/r/370306

Ebe123 closed this task as Resolved.Sep 13 2017, 11:35 PM

Resolved with safe mode deactivated.

<score>
{ \override NoteHead #'color = #red g'4 }
</score>